#ifndef USBCAM_CONFIG_H
#define USBCAM_CONFIG_H

#include <_highgui.h>
#include <vfw.h>

typedef struct CvCaptureCAM_VFW
{
    CvCaptureVTable* vtable;
    CAPDRIVERCAPS caps;
    HWND   capWnd;
    VIDEOHDR* hdr;
    DWORD  fourcc;
    HIC    hic;
    IplImage* rgb_frame;
    IplImage frame;
}
CvCaptureCAM_VFW;

int usbcam_config(CvCapture * capture, int width, int height){

	BITMAPINFOHEADER psVideoFormat;

	HWND hwnd = ((CvCaptureCAM_VFW *)capture)->capWnd;

	DWORD dwSize = capGetVideoFormatSize(hwnd);
	capGetVideoFormat(hwnd, &psVideoFormat, dwSize);
	psVideoFormat.biWidth = width;
	psVideoFormat.biHeight = height;
	psVideoFormat.biSizeImage = psVideoFormat.biHeight *
		psVideoFormat.biWidth * psVideoFormat.biPlanes *
		psVideoFormat.biBitCount / 8;
	psVideoFormat.biBitCount = 24;
	psVideoFormat.biCompression = BI_RGB;

	capSetVideoFormat(hwnd, &psVideoFormat, dwSize);

	return 0;
}

#endif
